Debian Bug report logs - #465768
ITP: gfxboot -- bootlogo creator for gfxboot compliant

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Paleino <d.paleino@gmail.com>

Date: Thu, 14 Feb 2008 17:18:02 UTC

Owned by: Daniel Baumann <daniel@debian.org>

Severity: wishlist

Fixed in version gfxboot/4.1.19-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#465768; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: gfxboot -- bootlogo creator for gfxboot compliant boot loaders
Date: Thu, 14 Feb 2008 18:09:25 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: David Paleino <d.paleino@gmail.com>

* Package name    : gfxboot
  Version         : 4.0.1
  Upstream Author : SUSE LINUX AG, Nuernberg, Germany
                    Steffen Winterfeldt <snwint@suse.de>
* URL             :
http://www.novell.com/products/linuxpackages/suselinux/gfxboot.html
* License         : GPL-2
  Programming Lang: C, Perl, Assembler
  Description     : bootlogo creator for gfxboot compliant boot loaders

 This package is needed to create the graphical boot logos for gfxboot, 
 introduced and developed by SuSE, it is suitable for grub, lilo and syslinux.

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, David Paleino <d.paleino@gmail.com>:
Bug#465768; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christopher David Desjardins <desja004@umn.edu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, David Paleino <d.paleino@gmail.com>. Full text and rfc822 format available.

Message #10 received at 465768@bugs.debian.org (full text, mbox):

From: Christopher David Desjardins <desja004@umn.edu>
To: 465768@bugs.debian.org
Date: Tue, 18 Mar 2008 12:59:35 -0500
+1.  I would love to see this package in debian too.  It would be great
if it could be included in desktop-base or at least available via
apt-get.
Cheers,
Chris





Changed Bug title to `RFP: gfxboot -- bootlogo creator for gfxboot compliant boot loaders' from `ITP: gfxboot -- bootlogo creator for gfxboot compliant boot loaders'. Request was from David Paleino <d.paleino@gmail.com> to control@bugs.debian.org. (Tue, 23 Dec 2008 19:48:08 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by David Paleino <d.paleino@gmail.com>. Request was from David Paleino <d.paleino@gmail.com> to control@bugs.debian.org. (Tue, 23 Dec 2008 19:48:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#465768; Package wnpp. (Tue, 14 Apr 2009 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 14 Apr 2009 18:57:02 GMT) Full text and rfc822 format available.


Message #19 received at 465768@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 465768@bugs.debian.org
Date: Tue, 14 Apr 2009 20:49:49 +0200
retitle 465768 ITP: gfxboot -- bootlogo creator for gfxboot compliant
boot loaders
owner 465768 Daniel Baumann <daniel@debian.org>
thanks

The new syslinux i've uploaded a couple of days ago now features a
gfxboot com32 module. Will take care about gfxboot.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to `ITP: gfxboot -- bootlogo creator for gfxboot compliant' from `RFP: gfxboot -- bootlogo creator for gfxboot compliant boot loaders'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 14 Apr 2009 18:57:03 GMT) Full text and rfc822 format available.

Owner recorded as Daniel Baumann <daniel@debian.org>. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 14 Apr 2009 18:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Baumann <daniel@debian.org>:
Bug#465768; Package wnpp. (Thu, 11 Jun 2009 15:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ernesto Domato <ernesto@domato.com.ar>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Baumann <daniel@debian.org>. (Thu, 11 Jun 2009 15:39:02 GMT) Full text and rfc822 format available.

Message #28 received at 465768@bugs.debian.org (full text, mbox):

From: Ernesto Domato <ernesto@domato.com.ar>
To: 465768@bugs.debian.org
Subject: gfxboot already on Ubuntu
Date: Thu, 11 Jun 2009 12:38:03 -0300
Hi, I think that maybe you can get the package from Ubuntu.

Just a suggestion :-)

Greetings.
Ernesto




Information stored :
Bug#465768; Package wnpp. (Thu, 11 Jun 2009 16:44:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and filed, but not forwarded. (Thu, 11 Jun 2009 16:44:13 GMT) Full text and rfc822 format available.

Message #33 received at 465768-quiet@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Ernesto Domato <ernesto@domato.com.ar>, 465768-quiet@bugs.debian.org
Subject: Re: Bug#465768: gfxboot already on Ubuntu
Date: Thu, 11 Jun 2009 18:23:52 +0200
Ernesto Domato wrote:
> Hi, I think that maybe you can get the package from Ubuntu.

not really. it's practically useless as it soo outdated.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Baumann <daniel@debian.org>:
Bug#465768; Package wnpp. (Thu, 03 Sep 2009 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Baumann <daniel@debian.org>. (Thu, 03 Sep 2009 06:42:03 GMT) Full text and rfc822 format available.

Message #38 received at 465768@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 465768@bugs.debian.org
Subject: Re: ITP: gfxboot -- bootlogo creator for gfxboot compliant
Date: Thu, 03 Sep 2009 08:39:34 +0200
gfxboot packaging is finished at
http://git.debian-maintainers.org/?p=syslinux/gfxboot.git

gfxboot-themes is what i'm working on right now,
hopefully, there wont be any more trouble, so should be ready until end
of week for an upload i guess.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Baumann <daniel@debian.org>:
Bug#465768; Package wnpp. (Thu, 03 Sep 2009 20:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Baumann <daniel@debian.org>. (Thu, 03 Sep 2009 20:09:04 GMT) Full text and rfc822 format available.

Message #43 received at 465768@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Live <debian-live@lists.debian.org>
Cc: Debian Install System Team <debian-boot@lists.debian.org>, 465768@bugs.debian.org
Subject: Status of gfxboot
Date: Thu, 03 Sep 2009 21:58:21 +0200
[Message part 1 (text/plain, inline)]
Hi,


[ for those not having read previous threads about it: for quite a long
time included in debian already, syslinux version 3.74 includes a
gfxboot interface plugin, which allows using a more intuitive interface
in bootscreens of syslinux payloads (isolinux, pxelinux, etc.), as well
as with grub and lilo. in order to make it possible to use the gfxboot
menu structure in debians live and installation media, a few things are
left to be done. ]

I've packaged and uploaded the userland tools (gfxboot[0]) and upstreams
'sample' themes (gfxboot-themes[1]) to unstable, they will hit the
archive after the usual NEW delay. In the meanwhile, those packages can
be downloaded from the maintainers site[2].

This is the newest upstream version of gfxboot, 4.1.19, obsoleting both
ubuntus very outdated gfxboot version 3.3.39 and their hacked syslinux
version 3.63. gfxboot-theme-ubuntu needs a small patch (attached) to
adjust to the renaming of the userland executables. I've tested it
successfully with debians syslinux version 3.82+dfsg-4.

Note that the syslinux config file needs a change in syntax as well:

With the hacked syslinux version, one had in the config file a line like
this:

  gfxboot bootlogo

With the gfxboot com32 module, this has to be changed to:

  ui gfxboot bootlogo

There might be a limitation in syslinux 3.82 that requires to *not* use
include statments within the syslinux config file, meaning that e.g.
isolinux.cfg is a monolithic configuration file. I have not yet verified
 that aspect myself, but on the bright side, others are claiming that
this has been fixed within the syslinux  4.0~pre series.

If the limitation turns out to be true, this is very unfortunate. Not
exactely knowing the ETA for a syslinux 4 final release, I might look
into backporting that fix for 3.82 instead of waiting for the 4 release,
so that we can keep using modularized syslinux configs for squeeze just
like we did in lenny.

What's left?

I'll look into creating a gfxboot-theme-debian using a newer version of
the bootsplash graphic redesigned[3] by pixelgirl. When there's
something to show off, I'll post again an update so others can express
their opinions.

Once we have a menu working and in the archive, live-helper will be
updated to be using gfxboot by default for sid and squeeze images. I
guess, debian-cd maintainers will most likely do something similar with
debian-cd at some point.

Regards,
Daniel

[0] http://git.debian-maintainers.org/?p=syslinux/gfxboot.git
[1] http://git.debian-maintainers.org/?p=syslinux/gfxboot-themes.git
[2] http://archive.debian-maintainers.org/syslinux/packages/gfxboot/
http://archive.debian-maintainers.org/syslinux/packages/gfxboot-themes/
[3] http://lists.debian.org/debian-project/2009/07/msg00211.html

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/
[gfxboot-theme-ubuntu.diff (text/x-diff, inline)]
diff -Naurp gfxboot-theme-ubuntu.orig/Makefile gfxboot-theme-ubuntu/Makefile
--- gfxboot-theme-ubuntu.orig/Makefile	2008-04-16 12:34:50.000000000 +0000
+++ gfxboot-theme-ubuntu/Makefile	2009-09-03 19:43:20.000000000 +0000
@@ -1,7 +1,7 @@
 ifneq ($(BINDIR),)
 BINDIR      := $(BINDIR)/
 else
-BINDIR      := $(dir $(firstword $(wildcard /usr/bin/mkbootmsg) $(wildcard ../../mkbootmsg)))
+BINDIR      := $(dir $(firstword $(wildcard /usr/bin/gfxboot) $(wildcard ../../gfxboot)))
 endif
 ifneq ($(PRIVBINDIR),)
 PRIVBINDIR  := $(PRIVBINDIR)/
@@ -9,7 +9,7 @@ else
 PRIVBINDIR  := $(dir $(firstword $(wildcard /usr/share/gfxboot/bin/keymapchars) $(wildcard ../../keymapchars)))
 endif
 
-MKBOOTMSG    = $(BINDIR)mkbootmsg
+MKBOOTMSG    = $(BINDIR)gfxboot-compile
 KEYMAPCHARS  = $(PRIVBINDIR)keymapchars
 BFLAGS       = -O -v -L ../..
 INCLUDES     = $(wildcard *.inc)
diff -Naurp gfxboot-theme-ubuntu.orig/debian/changelog gfxboot-theme-ubuntu/debian/changelog
--- gfxboot-theme-ubuntu.orig/debian/changelog	2009-08-27 10:22:29.000000000 +0000
+++ gfxboot-theme-ubuntu/debian/changelog	2009-09-03 19:47:26.000000000 +0000
@@ -1,3 +1,10 @@
+gfxboot-theme-ubuntu (0.8.3.1) UNRELEASED; urgency=low
+
+  * Updating executable names of gfxboot utilities in Makefile to work
+    with gfxboot version 4.1.19.
+
+ -- Daniel Baumann <daniel@debian.org>  Thu, 03 Sep 2009 17:23:06 +0200
+
 gfxboot-theme-ubuntu (0.8.3) karmic; urgency=low
 
   * Add localisation for "Install Ubuntu ^Enterprise Cloud".
diff -Naurp gfxboot-theme-ubuntu.orig/debian/control gfxboot-theme-ubuntu/debian/control
--- gfxboot-theme-ubuntu.orig/debian/control	2009-08-10 20:32:12.000000000 +0000
+++ gfxboot-theme-ubuntu/debian/control	2009-09-03 19:47:16.000000000 +0000
@@ -2,7 +2,7 @@ Source: gfxboot-theme-ubuntu
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.0), gfxboot (>= 3.3.28)
+Build-Depends: debhelper (>= 7.0.0), gfxboot (>= 4.1.19)
 Standards-Version: 3.6.2
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gfxboot-theme-ubuntu/mainline
 

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 03 Sep 2009 20:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Baumann <daniel@debian.org>:
Bug#465768; Package wnpp. (Mon, 07 Sep 2009 11:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Baumann <daniel@debian.org>. (Mon, 07 Sep 2009 11:06:04 GMT) Full text and rfc822 format available.

Message #50 received at 465768@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Daniel Baumann <daniel@debian.org>
Cc: Debian Live <debian-live@lists.debian.org>, Debian Install System Team <debian-boot@lists.debian.org>, 465768@bugs.debian.org
Subject: Re: Status of gfxboot
Date: Mon, 7 Sep 2009 11:47:22 +0100
On Thu, Sep 03, 2009 at 09:58:21PM +0200, Daniel Baumann wrote:
> gfxboot-theme-ubuntu needs a small patch (attached) to adjust to the
> renaming of the userland executables.

Thanks, I've applied a similar patch in gfxboot-theme-ubuntu 0.8.4.

> I'll look into creating a gfxboot-theme-debian using a newer version of
> the bootsplash graphic redesigned[3] by pixelgirl. When there's
> something to show off, I'll post again an update so others can express
> their opinions.

As I mentioned on IRC, if gfxboot-theme-debian is based on
gfxboot-theme-ubuntu (and, given the amount of effort required to write
a theme from scratch, I'd be surprised if it weren't), please make sure
that you share gfxboot-theme-ubuntu's revision control history. I can
provide you with a git mirror of the bzr branch; just let me know where
I should put it.

-- 
Colin Watson                                       [cjwatson@debian.org]




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 16 Nov 2009 21:45:06 GMT) Full text and rfc822 format available.

Notification sent to David Paleino <d.paleino@gmail.com>:
Bug acknowledged by developer. (Mon, 16 Nov 2009 21:45:07 GMT) Full text and rfc822 format available.

Message #55 received at 465768-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 465768-close@bugs.debian.org
Subject: Bug#465768: fixed in gfxboot 4.1.19-1
Date: Mon, 16 Nov 2009 21:43:22 +0000
Source: gfxboot
Source-Version: 4.1.19-1

We believe that the bug you reported is fixed in the latest version of
gfxboot, which is due to be installed in the Debian FTP archive:

gfxboot-dev_4.1.19-1_i386.deb
  to main/g/gfxboot/gfxboot-dev_4.1.19-1_i386.deb
gfxboot_4.1.19-1.diff.gz
  to main/g/gfxboot/gfxboot_4.1.19-1.diff.gz
gfxboot_4.1.19-1.dsc
  to main/g/gfxboot/gfxboot_4.1.19-1.dsc
gfxboot_4.1.19-1_i386.deb
  to main/g/gfxboot/gfxboot_4.1.19-1_i386.deb
gfxboot_4.1.19.orig.tar.gz
  to main/g/gfxboot/gfxboot_4.1.19.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 465768@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated gfxboot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Sep 2009 14:24:36 +0200
Source: gfxboot
Binary: gfxboot gfxboot-dev
Architecture: source i386
Version: 4.1.19-1
Distribution: unstable
Urgency: low
Maintainer: Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 gfxboot    - tool to test and create graphical boot logos (runtime)
 gfxboot-dev - tool to test and create graphical boot logos (development)
Closes: 465768
Changes: 
 gfxboot (4.1.19-1) unstable; urgency=low
 .
   * Initial release (Closes: #465768).
Checksums-Sha1: 
 5c1dbc3c1832c4085933d3ada97280961123503a 1308 gfxboot_4.1.19-1.dsc
 25f0fb7f91cf345f22e6867a2b4f060245ebdce4 158628 gfxboot_4.1.19.orig.tar.gz
 1591345987d0277cb907caa76011f8ef1ba9be0a 3912 gfxboot_4.1.19-1.diff.gz
 46685c26cc1a96b553dbd37e5c05689b322893c1 25950 gfxboot_4.1.19-1_i386.deb
 b593395a917058d31f3621a5f29b294ca808ab09 98212 gfxboot-dev_4.1.19-1_i386.deb
Checksums-Sha256: 
 e7d55dc132caae224d0f8d98d53b1522d06207e99b75473bf017e21582937b89 1308 gfxboot_4.1.19-1.dsc
 2f9c6b5fba38763e8aa3781ac784b411986a31fbdefead5ac887eb37ba7a3c33 158628 gfxboot_4.1.19.orig.tar.gz
 05bacdbfac2d04f45f10db546db6a9e73abf7aec439815e169473444a9fa1e78 3912 gfxboot_4.1.19-1.diff.gz
 620df3c1f66e40455fea2fb91b9a5ab280dcf8469fe07d9f6b747bbf9153cd57 25950 gfxboot_4.1.19-1_i386.deb
 3be99ebc2c70cfd2cb163bfd416f109e3683f94e2f2734da70d5f51ddf0babc2 98212 gfxboot-dev_4.1.19-1_i386.deb
Files: 
 c30501a436b9c54f777221f5f57e6a78 1308 misc extra gfxboot_4.1.19-1.dsc
 21732c6ad8c69aaa98e5a01808adac59 158628 misc extra gfxboot_4.1.19.orig.tar.gz
 45218c0192f47e4e14588f82c810236b 3912 misc extra gfxboot_4.1.19-1.diff.gz
 ab26a7531364ef9e88443cea7e886117 25950 misc extra gfxboot_4.1.19-1_i386.deb
 fd65de54c37b65203b2c04b24fd0ebf6 98212 misc extra gfxboot-dev_4.1.19-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqgDl0ACgkQ+C5cwEsrK553kACfeLl3O11bE8IFfSR47DyxrLQF
V1kAoIKP6W++xZ8GbLOkFni9PRfYbr+W
=MkBM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Dec 2009 07:43:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:00:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.